using System;
using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace CMSMicroservice.Infrastructure.Persistence.Migrations
{
    /// <inheritdoc />
    public partial class u13 : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<DateTime>(
                name: "ArchivedAt",
                schema: "CMS",
                table: "PublicMessages",
                type: "datetime2",
                nullable: true);

            migrationBuilder.AddColumn<DateTime>(
                name: "EndDate",
                schema: "CMS",
                table: "PublicMessages",
                type: "datetime2",
                nullable: true);

            migrationBuilder.AddColumn<bool>(
                name: "IsArchived",
                schema: "CMS",
                table: "PublicMessages",
                type: "bit",
                nullable: false,
                defaultValue: false);

            migrationBuilder.AddColumn<DateTime>(
                name: "PublishedAt",
                schema: "CMS",
                table: "PublicMessages",
                type: "datetime2",
                nullable: true);

            migrationBuilder.AddColumn<DateTime>(
                name: "StartDate",
                schema: "CMS",
                table: "PublicMessages",
                type: "datetime2",
                nullable: true);
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "ArchivedAt",
                schema: "CMS",
                table: "PublicMessages");

            migrationBuilder.DropColumn(
                name: "EndDate",
                schema: "CMS",
                table: "PublicMessages");

            migrationBuilder.DropColumn(
                name: "IsArchived",
                schema: "CMS",
                table: "PublicMessages");

            migrationBuilder.DropColumn(
                name: "PublishedAt",
                schema: "CMS",
                table: "PublicMessages");

            migrationBuilder.DropColumn(
                name: "StartDate",
                schema: "CMS",
                table: "PublicMessages");
        }
    }
}
